using System.Globalization;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class BooleanToGridLengthConverter : AbstractConverter<bool,GridLength>
    {
        public GridLength TrueValue { get; set; }
        public GridLength FalseValue { get; set; }

        protected override GridLength Convert(bool value, object parameter = null)
        {
            return value ? TrueValue : FalseValue;
        }

        public BooleanToGridLengthConverter()
        {
            TrueValue = GridLength.Star;
            FalseValue = new GridLength(0);
        }
        
    }
}